Java7SupportImpl
Date: 2016-12-04

com.fasterxml.jackson.databind.ext

## Class Java7SupportImpl

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.Java7Support
  - - com.fasterxml.jackson.databind.ext.Java7SupportImpl

-     public class Java7SupportImpl
      extends Java7Support

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java7SupportImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyName` | `findConstructorName(AnnotatedParameter p)`
    `java.lang.Boolean` | `findTransient(Annotated a)`
    `java.lang.Class<?>` | `getClassJavaNioFilePath()`
    `JsonDeserializer<?>` | `getDeserializerForJavaNioFilePath(java.lang.Class<?> rawType)`
    `JsonSerializer<?>` | `getSerializerForJavaNioFilePath(java.lang.Class<?> rawType)`
    `java.lang.Boolean` | `hasCreatorAnnotation(Annotated a)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ext.Java7Support

      `instance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java7SupportImpl

          public Java7SupportImpl()

  - ### Method Detail

    - #### getClassJavaNioFilePath

          public java.lang.Class<?> getClassJavaNioFilePath()

      Specified by:
        `getClassJavaNioFilePath` in class `Java7Support`

    - #### getDeserializerForJavaNioFilePath

          public JsonDeserializer<?> getDeserializerForJavaNioFilePath(java.lang.Class<?> rawType)

      Specified by:
        `getDeserializerForJavaNioFilePath` in class `Java7Support`

    - #### getSerializerForJavaNioFilePath

          public JsonSerializer<?> getSerializerForJavaNioFilePath(java.lang.Class<?> rawType)

      Specified by:
        `getSerializerForJavaNioFilePath` in class `Java7Support`

    - #### findTransient

          public java.lang.Boolean findTransient(Annotated a)

      Specified by:
        `findTransient` in class `Java7Support`

    - #### hasCreatorAnnotation

          public java.lang.Boolean hasCreatorAnnotation(Annotated a)

      Specified by:
        `hasCreatorAnnotation` in class `Java7Support`

    - #### findConstructorName

          public PropertyName findConstructorName(AnnotatedParameter p)

      Specified by:
        `findConstructorName` in class `Java7Support`